Download it now!
Bug 50222 - FORMATTING: Unexpected line wrap behaviour
Summary: FORMATTING: Unexpected line wrap behaviour
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-22 10:03 UTC by jotomicron
Modified: 2015-02-19 17:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
This shows the hyphenation when the parenthesis is added (732.22 KB, image/png)
2012-05-22 10:03 UTC, jotomicron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jotomicron 2012-05-22 10:03:45 UTC
Created attachment 61971 [details]
This shows the hyphenation when the parenthesis is added

Disclaimer: This is a report for a low priority bug

Problem description:
There is a bug in the line wrap algorithm for Writer (at least I find it unexpected).

Steps to reproduce:
1. Setup a document with 17cm of horizontal space. Set font to Times New Roman 13pt. Set language to English USA with automatic hyphenation.
2. Write "ease or diseases) it refers to. Other epidemiologically important link types include “location”." (I'm not sure whether the double quotation must be unicode or ascii)
3. Right before the first "or", add an opening parethesis, "(" (so that the text now read "ease (or")

Current behavior:
"location" gets hyphenated.

Expected behavior:
If there is space to hyphenate "location" after adding the "(", then surely there is space to hyphenate before adding the character. Why is it that adding the character triggers hyphenation

I'm aware that Writer could technically choose not to hyphenate based on looks (as TeX does) but I'm not sure it does so. In any case, this is clearly (to me, at least) not one of those cases.

Platform (if different from the browser): Ubuntu 12.04
              
Browser: Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.5 (KHTML, like Gecko) Chrome/19.0.1084.46 Safari/536.5
Comment 1 bfoman (inactive) 2012-11-05 17:45:13 UTC
(In reply to comment #0)
> Current behavior:
> "location" gets hyphenated.

Confirmed with:
LO 3.6.3.2
Build ID: 58f22d5
Windows XP Professional SP3
Comment 2 A (Andy) 2013-03-16 09:49:12 UTC
reproducible with LO 4.0.1.2 (Win7 Home, 64bit)

Reproduced by the following steps:
1. Open WRITER
2. Paste the text "ease or diseases) it refers to. Other epidemiologically important link types include “location”."
3. Select the whole text and format it as TIMES NEW ROMAN 13
4. Go to TOOLS -> LANGUAGE -> FOR ALL TEXT -> ENGLISH (USA)
5. Select the whole text and go to FORMAT -> PARAGRAPH, go to the tab TEXT FLOW and activate HYPHENATION AUTOMATICALLY
6. Insert a "(" before the word "or"

Result:
The word "location" will be hyphenated, but not before inserting the "(".

Note: I had not to change the page format width, I had reproduced it with the standard A4 format.
Comment 3 QA Administrators 2015-02-19 15:38:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.0.3 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-02-19
Comment 4 jotomicron 2015-02-19 17:18:55 UTC
Bug is no longer present.

Tested on version 4.4.0.3 (build 40m0(Build:3)) / Ubuntu